Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Data Fields | Protected Attributes
Lucene::CharBlockPool Class Reference

`#include <CharBlockPool.h>`

Inheritance diagram for Lucene::CharBlockPool:

## Public Member Functions

| CharBlockPool (DocumentsWriterPtr docWriter)
virtual | ~CharBlockPool ()
virtual String | getClassName ()
boost::shared_ptr< CharBlockPool > | shared_from_this ()
void | reset ()
void | nextBuffer ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (LuceneObjectPtr other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (LuceneObjectPtr other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (LuceneObjectPtr other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()

## Data Fields

Collection< CharArray > | buffers
int32_t | numBuffer
int32_t | bufferUpto
int32_t | charUpto
CharArray | buffer
int32_t | charOffset

## Protected Attributes

DocumentsWriterWeakPtr | _docWriter

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Constructor & Destructor Documentation

Lucene::CharBlockPool::CharBlockPool | ( | DocumentsWriterPtr | docWriter) |  |

virtual Lucene::CharBlockPool::~CharBlockPool | ( | ) |  |

virtual

## Member Function Documentation

static String Lucene::CharBlockPool::_getClassName | ( | ) |  |

inline static

virtual String Lucene::CharBlockPool::getClassName | ( | ) |  |

inline virtual

void Lucene::CharBlockPool::nextBuffer | ( | ) |  |

void Lucene::CharBlockPool::reset | ( | ) |  |

boost::shared_ptr< CharBlockPool > Lucene::CharBlockPool::shared_from_this | ( | ) |  |

inline

## Field Documentation

DocumentsWriterWeakPtr Lucene::CharBlockPool::_docWriter

protected

CharArray Lucene::CharBlockPool::buffer

Collection<CharArray> Lucene::CharBlockPool::buffers

int32_t Lucene::CharBlockPool::bufferUpto

int32_t Lucene::CharBlockPool::charOffset

int32_t Lucene::CharBlockPool::charUpto

int32_t Lucene::CharBlockPool::numBuffer

The documentation for this class was generated from the following file:

- CharBlockPool.h

clucene.sourceforge.net